@echo off
cd \DRCT_BOP
echo unload X
pause
call .\x u
pause
goto start
:prestart
pause
:aftergame
cls
type 0055.txt
pause
:start
set
pause
call delenv %T_E%
call delenv T_E
call .\delenv TMP_
call .\delenv CD_
call .\delenv RUN_NOW
call .\delenv SET_NOW
call .\delenv _C_D_
set
pause
call xmenu
set
pause
@echo off
if errorlevel 29 goto badconfig
if errorlevel 28 goto nocommand
if errorlevel 27 goto manmod
if errorlevel 26 goto smalldisk
if errorlevel 25 goto oldversion
if errorlevel 24 goto oldversion
if errorlevel 23 goto doreboot
if errorlevel 22 goto failmodconfig
if errorlevel 21 goto noprogs
if errorlevel 20 goto noconfig
if errorlevel 10 goto cdsetgop
if errorlevel 9 goto hdsetgop
if errorlevel 8 goto cdgop
if errorlevel 7 goto hdgop
if errorlevel 6 goto cdsetgo
if errorlevel 5 goto hdsetgo
if errorlevel 4 goto cdset
if errorlevel 3 goto hdset
if errorlevel 2 goto cdgo
if errorlevel 1 goto hdgo
goto end
:cdsetgo
echo change drive to %cd_%  (CD drive)
echo call ..\x
echo call .\%set_now%
echo change drive to %cd_%  (CD drive)
echo call .\%run_now%
echo change drive to %cd_%  (CD drive)
echo cd to %_c_d_%
echo unload .\X
pause
%CD_%:
CALL ..\X
CALL .\%SET_NOW%
%CD_%:
CALL .\%RUN_NOW%
%CD_%:
CD %_C_D_%
CALL .\X U
goto aftergame
:hdsetgo
echo change drive to %tmp_% (temp drive)
echo call .\%set_now%
echo change drive to %tmp_% (temp drive)
echo call .\%run_now%
echo change drive to %cd_%  (CD drive)
echo change dir to %_c_d_%
pause
%TMP_%:
CALL .\%SET_NOW%
%TMP_%:
CALL .\%RUN_NOW%
%CD_%:
CD %_c_d_%
goto aftergame
:cdsetgop
echo change drive to %cd_% (CD drive)
echo call ..\X
echo call .\%set_now%
echo change drive to %cd_% (CD drive)
echo call .\%run_now%
echo cd to %_c_d_%
echo unload .\X
pause
%CD_%:
CALL ..\X
CALL .\%SET_NOW%
%CD_%:
CALL .\%RUN_NOW%
%CD_%:
CD %_c_d_%
CALL .\X U
goto prestart
:hdsetgop
echo change drive to %tmp_%
echo call .\%set_now%
echo change drive to %tmp_%
echo call .\%run_now%
echo change drive to %cd_%
echo cd to %_c_d_%
pause
%TMP_%:
CALL .\%SET_NOW%
%TMP_%:
CALL .\%RUN_NOW%
%CD_%:
CD %_c_d_%
goto prestart
:cdset
echo change drive to %cd_%
echo calling ..\x
echo calling .\%set_now%
echo change drive to %cd_%
echo cd to %_c_d_%
echo unload .\X
pause
%CD_%:
CALL ..\X
CALL .\%SET_NOW%
%CD_%:
CD %_c_d_%
CALL .\X U
goto start
:hdset
echo change drive to %tmp_%
echo calling .\%set_now%
echo change drive to %cd_%
echo cd to %_c_d_%
pause
%TMP_%:
CALL .\%SET_NOW%
%CD_%:
CD %_c_d_%
goto start
:cdgo
echo change drive to %cd_%
echo calling ..\x
echo calling .\%run_now%
echo change drive to %cd_%
echo cd to %_c_d_%
echo unload .\X
pause
%CD_%:
CALL ..\X
CALL .\%RUN_NOW%
%CD_%:
CD %_c_d_%
CALL .\X U
goto aftergame
:hdgo
echo change drive to %tmp_%
echo calling .\%run_now%
echo change drive to %cd_%
echo cd to %_c_d_%
pause
%TMP_%:
CALL .\%RUN_NOW%
%CD_%:
CD %_c_d_%
goto aftergame
:cdgop
echo change drive to %cd_%
echo calling ..\x
echo calling .\%run_now%
echo change drive to %cd_%
echo cd to %_c_d_%
echo unload .\X
pause
%CD_%:
CALL ..\X
CALL .\%RUN_NOW%
%CD_%:
CD %_c_d_%
CALL .\X U
goto prestart
:hdgop
echo change drive to %tmp_%
echo calling .\%run_now%
echo change drive to %cd_%
echo cd to %_c_d_%
pause
%TMP_%:
CALL .\%RUN_NOW%
%CD_%:
CD %_c_d_%
goto prestart
:badconfig
cls
echo The CONFIG.SYS is an unknown format. Edit it manually to include
echo more environment space, reboot and retry.
echo A suitable entry (assuming a directory of C:\DOS) would be:
echo SHELL=C:\DOS\COMMAND.COM C:\DOS /E:512 /P
goto failend
:nocommand
cls
echo The COMMAND.COM was not found. You need to include more environment
echo space by adding a SHELL command to the CONFIG.SYS.
echo A suitable entry (assuming a directory of C:\DOS) would be:
echo SHELL=C:\DOS\COMMAND.COM C:\DOS /E:512 /P
goto failend
:manmod
cls
echo Edit the CONFIG.SYS to include more environment space, reboot & retry.
echo A suitable entry (assuming a directory of C:\DOS) would be:
echo SHELL=C:\DOS\COMMAND.COM C:\DOS /E:512 /P
goto failend
:doreboot
cls
echo The CONFIG.SYS has been modified, reboot & retry.
goto failend
:failmodconfig
cls
echo The modification of CONFIG.SYS failed.
echo You need to edit the CONFIG.SYS manually, reboot & retry.
echo A suitable entry (assuming a directory of C:\DOS) would be:
echo SHELL=C:\DOS\COMMAND.COM C:\DOS /E:512 /P
goto failend
:oldversion
cls
echo The games config file is out of date.
goto failend
:noconfig
cls
echo The games config file was not found.
goto failend
:noprogs
cls
echo There are no valid program detail files.
goto failend
:smalldisk
cls
echo There is insufficient space on the nominated temporary disk.
echo You need a minimum of 100Kb free for temporary files.
goto failend
:end
cls
:failend
cd \
